Name:           perl-CGI-Emulate-PSGI
Version:        0.12
Release:        1%{?dist}
Summary:        PSGI adapter for CGI applications
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Emulate-PSGI
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/CGI-Emulate-PSGI-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl(CGI)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(Test::Builder::Module)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module allows an application designed for the CGI environment to run
in a PSGI environment, and thus on any of the backends that PSGI supports.

%prep
%setup -q -n CGI-Emulate-PSGI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jun 20 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 0.12-1
- Upstream update.
- Remove BuildRoot.

* Thu Mar 03 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 0.11-1
- Upstream update.
- Spec cleanup.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010 Ralf Corsépius <corsepiu@fedoraproject.org> 0.10-1
- Merge-in *.spec from BZ 664815.
- Update to 0.10.
- Remove *-tests subpackage.

* Sat Mar 20 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- specfile by Fedora::App::MaintainerTools 0.006
